<template>
  <div>
    <event-list-card v-for="event in eventList" :key="event.id" :event="event" />
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex'
import EventListCard from './EventListCard.vue'

export default {
  components: { EventListCard },
  computed: {
    ...mapState({
      eventList: state => state.events.eventList,
    })
  },
  methods: {
    ...mapActions(['getEventList']),
    logEvent() {
      this.getEventList()
    }
  },
  created() {
    this.getEventList()
  }
}
</script>
